> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vendor connections

> Gets a list of vendor connections.



## OpenAPI

````yaml marketplace get /v1/retailers/{retailer_pk}/connections/
openapi: 3.0.1
info:
  title: Dropship
  version: 1.0.0
  description: >-
    fabric Dropship is a simple, intuitive, dropship platform built for business
    users. It offers easy integration with Shopify, BigCommerce, or existing
    stacks; supports retailer onboarding; and offers dedicated vendor onboarding
    support.  With fabric Dropship, you can connect with new vendors with no
    inventory risk; offer extended aisles of products; expand assortments with
    existing vendors; test new categories, SKUs, and price points; explore brand
    partnerships; and increase marketing and search opportunities. Using
    dropshipping effectivity can fuel data-driven merchandising decisions,
    maximizing margin and customer experience.  Dropship assortment strategies
    enable you to: <br /> 1) Cross-sell and upsell to raise your average order
    value <br /> 2) Offer substitute products to supplement out-of-stock
    inventory <br /> 3) Capitalize on fast-moving market trends with readily
    sourceable products <br /> 4) Test and validate new products, brands, and
    categories before manufacturing or placing POs <br /> 5) Add depth to your
    existing product assortment with variations and endless aisles <br /> 6)
    Offer seasonal products without the risking of over-buying or unhealthy
    inventory.
  contact:
    email: support@fabric.inc
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
servers:
  - url: https://marketplace-api.fabric.inc
security:
  - Bearer: []
externalDocs:
  description: Find out more about Dropship
  url: https://developer.fabric.inc/docs/marketplace-suppliers-overview
paths:
  /v1/retailers/{retailer_pk}/connections/:
    get:
      tags:
        - Connections
      summary: Get vendor connections
      description: Gets a list of vendor connections.
      operationId: v1_retailers_connections_list
      parameters:
        - name: retailer_pk
          in: path
          required: true
          schema:
            type: number
          description: Retailer ID
          example: 5001
        - name: brand_id
          in: query
          description: Brand (vendor) IDs. Multiple comma separated values may be added
          schema:
            type: array
            items:
              type: number
          example:
            - 500
            - 550
        - name: retailer_id
          in: query
          description: >-
            Retailer IDs. Multiple values may be separated by commas. Retailer
            ID
          schema:
            type: array
            items:
              type: number
          example:
            - 2050
            - 1001
        - name: vertical_id
          in: query
          description: >-
            ID for verticals such as shoes, clothing, furniture. Multiple values
            may be added, separated by commas
          schema:
            type: array
            items:
              type: number
          example:
            - 2054
            - 5646
        - name: integration_type
          in: query
          description: >-
            Integration types such as EDI, API, WooCommerce, etc. Multiple
            values may be separated by commas
          schema:
            type: array
            items:
              type: string
          example:
            - EDI
            - API
        - name: brand_has_adjustments
          in: query
          description: >-
            1: Brand (vendor) has monetary adjustments <br /> 0: Brand doesn't
            have adjustments
          schema:
            type: number
          example: 1
        - name: brand_has_allowances
          in: query
          description: >-
            1: brand has allowances such as discounts <br /> 0: brand does not
            have allowances
          schema:
            type: number
          example: 1
        - name: brand_has_charges
          in: query
          description: >-
            1: brand has charges such as shipping and handling <br /> 0: brand
            does not have charges
          schema:
            type: number
          example: 1
        - name: brand_inventory_policy
          in: query
          description: >-
            Managed: brand wants to manage inventory; Unmanaged: brand does not
            want to manage inventory
          schema:
            type: string
        - name: retailer_identifier
          in: query
          description: Retailer IDs. Multiple values may be separated by commas.
          schema:
            type: array
            items:
              type: number
          example:
            - 1023
            - 2044
        - name: options_enabled
          in: query
          description: >-
            Connection options enabled. Multiple values may be separated by
            commas.
          schema:
            type: array
            items:
              type: string
          example:
            - Auto-close invoice
            - Manual invoice
        - name: options_disabled
          in: query
          description: Connection options disabled
          schema:
            type: string
        - name: status
          in: query
          description: Connection status. Multiple values may be separated by commas.
          schema:
            type: array
            items:
              type: string
          example:
            - Active
            - Pending
        - name: onboarding_target_date_lt
          in: query
          description: >-
            Onboarding target date is less than specified Time (Unix epoch
            format)
          schema:
            type: number
          example: 1165550936
        - name: onboarding_target_date_lte
          in: query
          description: >-
            Onboarding target date is less than or equal to specified Time (Unix
            epoch format)
          schema:
            type: number
          example: 1265550936
        - name: onboarding_target_date_gt
          in: query
          description: >-
            Onboarding target date is greater than specified Time (Unix epoch
            format)
          schema:
            type: number
          example: 1365550936
        - name: onboarding_target_date_gte
          in: query
          description: >-
            Onboarding target date is greater than or equal to specified Time
            (Unix epoch format)
          schema:
            type: number
          example: 1465550936
        - name: order_by
          in: query
          description: Sorting criteria
          schema:
            type: string
          example: Ascending
        - name: page
          in: query
          description: Page number within the paginated result set
          schema:
            type: integer
          example: 2
        - name: limit
          in: query
          description: Number of records per page
          schema:
            type: integer
          example: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                required:
                  - count
                  - results
                type: object
                properties:
                  count:
                    description: Total number of records
                    example: 1023
                    type: integer
                  next:
                    description: Next page (applicable in a paginated response)
                    example: https://api.example.org/demo/accounts/?page=5
                    type: string
                    format: uri
                    nullable: true
                  previous:
                    description: Previous page (applicable in a paginated response)
                    example: https://api.example.org/demo/accounts/?page=3
                    type: string
                    format: uri
                    nullable: true
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/Connection'
components:
  schemas:
    Connection:
      type: object
      properties:
        id:
          description: Connection ID
          example: 1000
          type: integer
          readOnly: true
        brand:
          $ref: '#/components/schemas/BrandShort'
        retailer:
          $ref: '#/components/schemas/RetailerShort'
        level:
          description: Connection level
          example: full
          type: string
          enum:
            - basic
            - full
        status:
          description: Connection status
          example: active
          type: string
          enum:
            - active
            - suspended
            - pending
            - onboarding
        suspended_at:
          description: Time of when connection got suspended (UTC format)
          example: null
          type: string
          format: date-time
          nullable: true
        created_at:
          description: Time of connection creation (UTC format)
          example: '2022-06-22T06:56:16Z'
          type: string
          format: date-time
          readOnly: true
        updated_at:
          description: Time of connection update (UTC format)
          example: '2022-08-08T15:48:05Z'
          type: string
          format: date-time
          readOnly: true
        shipping_accounts:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ShippingAccountOption'
        options:
          $ref: '#/components/schemas/ConnectionOption'
        attachments:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/Attachment'
        approved_items_count:
          description: Count of approved items
          example: 1
          type: integer
          readOnly: true
        orders_last_7_days_count:
          description: Count of orders in the last 7 days
          example: 0
          type: integer
          readOnly: true
        proposals_received_last_7_days_count:
          description: Count of proposals received in the last 7 days
          example: 4
          type: integer
          readOnly: true
        contacts:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/Contact'
        memos:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/Memo'
        referral:
          $ref: '#/components/schemas/ConnectionReferral'
        integration_type:
          description: Integration type
          example: console
          type: string
          nullable: true
          enum:
            - console
            - edi
            - api
            - storefront
            - console-print-labels
            - console-register-tracking-numbers
            - shopify
            - bigcommerce
            - shipstation
        onboarding_status:
          description: Status of onboarding
          example: pending
          type: string
          nullable: true
          enum:
            - pending
            - complete
        retailer_identifier:
          description: Retailer ID
          example: null
          maxLength: 32
          type: string
          nullable: true
        onboarding_target_date:
          description: Target date of retailer onboarding (UTC format)
          example: null
          type: string
          format: date-time
          nullable: true
        onboarded_at:
          description: Time of retailer onboarding (UTC format)
          example: '2021-09-10T15:24:56Z'
          type: string
          nullable: true
    BrandShort:
      required:
        - code
      type: object
      properties:
        id:
          description: Vendor (brand) ID
          example: 500
          type: integer
          readOnly: true
        name:
          description: Vendor name
          example: Marla Cielo
          maxLength: 64
          minLength: 1
          type: string
        code:
          description: Vendor code, which is vendor name in lower case and underscore
          example: demo-brand
          maxLength: 64
          minLength: 1
          pattern: ^[-a-zA-Z0-9_]+$
          type: string
          format: slug
        joined_at:
          description: Time when vendor joined Dropship (UTC format)
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
        logo_url:
          description: URL of the brand logo
          example: https://images.revcascade.com/retailers/defaults/logo-lg.png
          minLength: 1
          type: string
          format: uri
          readOnly: true
        cover_url:
          description: URL of the cover image
          example: https://images.revcascade.com/retailers/defaults/cover.png
          minLength: 1
          type: string
          format: uri
          readOnly: true
        profile_tile_url:
          description: URL of the profile image
          example: https://images.revcascade.com/retailers/defaults/profile-tile.png
          minLength: 1
          type: string
          format: uri
          readOnly: true
        website:
          description: URL of brand website
          example: null
          maxLength: 100
          type: string
          format: uri
          nullable: true
        is_onboarded:
          description: 'true: Vendor is onboarded <br /> false: Vendor is not onboarded'
          example: false
          type: boolean
          readOnly: true
        is_on_rcn:
          description: 'true: is on Dropship network <br /> false: not on Dropship network'
          example: false
          type: boolean
        requires_subscription:
          description: Represents whether subscription is required
          example: enabled
          type: string
          enum:
            - disabled
            - enabled
            - upcoming
        subscription_expires_at:
          description: Subscription expiry Time (UTC format)
          example: '2024-09-19T13:32:10Z'
          type: string
          format: date-time
          nullable: true
        grace_period_ends_at:
          description: Time of grace period expiration (UTC format)
          example: '2024-10-26T13:32:10Z'
          type: string
          format: date-time
          nullable: true
        subscription_is_expired:
          description: 'true: subscription is expired <br /> false: subscription is active'
          example: false
          type: boolean
          readOnly: true
        subscription_is_on_grace_period:
          description: >-
            true: subscription is on grace period <br /> false: subscription is
            not on grace period
          example: false
          type: boolean
          readOnly: true
        subscription_is_delinquent:
          description: 'true: subscription is overdue <br /> false: subscription is paid'
          example: false
          type: boolean
          readOnly: true
        inventory_policy:
          description: Inventory policy
          example: managed
          type: string
          enum:
            - unmanaged
            - managed
            - use_variant_policy
        status:
          description: Vendor status
          example: active
          type: string
          enum:
            - active
            - pending
            - inactive
    RetailerShort:
      required:
        - code
        - name
      type: object
      properties:
        id:
          description: Retailer ID
          example: 500
          type: integer
          readOnly: true
        name:
          description: Retailer name
          example: Demo Retailer
          maxLength: 64
          minLength: 1
          type: string
        code:
          description: Retailer code, which is retailer name in lower case and hyphenated
          example: demo-retailer
          maxLength: 32
          minLength: 1
          pattern: ^[-a-zA-Z0-9_]+$
          type: string
          format: slug
        logo_url:
          description: URL of retailer logo
          example: >-
            https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png
          minLength: 1
          type: string
          format: uri
          readOnly: true
        cover_url:
          description: URL of retailer cover image
          example: >-
            https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg
          minLength: 1
          type: string
          format: uri
          readOnly: true
        profile_tile_url:
          description: URL of retailer profile image
          example: >-
            https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg
          minLength: 1
          type: string
          format: uri
          readOnly: true
        joined_at:
          description: Time of retailer joining Dropship (UTC format)
          example: '2021-08-03T17:24:12Z'
          type: string
          format: date-time
          readOnly: true
        is_rcn_retailer:
          description: >-
            true: Retailer is in Dropship network; Retailer is not in Dropship
            network
          example: false
          type: boolean
        is_onboarded:
          description: 'true: Retailer is onboarded <br /> false: Retailer is not onboarded'
          example: false
          type: boolean
        platform:
          description: Platform on which retailer is onboarded
          example: fabric
          type: string
          enum:
            - fabric
        requires_subscription:
          description: Represent whether retailer requires subscription to use the platform
          example: disabled
          type: string
          enum:
            - disabled
            - enabled
            - upcoming
        brand_permit_creation_allowed:
          description: >-
            true: Platform allows creation of brand permit <br /> false:
            Platform doesn't require creation of brand permit
          example: false
          type: boolean
        website:
          description: Website URL
          example: https://demoabc.com
          maxLength: 100
          type: string
          format: uri
          nullable: true
        status:
          description: Retailer status
          example: active
          type: string
          enum:
            - active
            - setup
            - ghost
    ShippingAccountOption:
      required:
        - nickname
      type: object
      properties:
        id:
          description: Shippping account ID
          example: 1
          type: integer
          readOnly: true
        nickname:
          description: Short name of shipping account, for easier identification
          example: Sample13
          maxLength: 64
          minLength: 1
          type: string
        owner:
          description: Owner of shipping account
          example: DemoABC
          type: string
          readOnly: true
        carrier:
          description: Shipping carrier
          example: ALP Brand
          type: string
          readOnly: true
        shipping_methods:
          $ref: '#/components/schemas/ShippingMethod'
    ConnectionOption:
      required:
        - code
        - name
      type: object
      properties:
        id:
          description: Option ID
          example: 8753
          type: integer
          readOnly: true
        name:
          description: Option name
          example: Sample Option
          maxLength: 64
          minLength: 1
          type: string
        code:
          description: Option code
          example: Sample_Option
          maxLength: 64
          minLength: 1
          type: string
        description:
          description: Connection description
          example: Sample description for connection
          type: string
          nullable: true
        viewable_by:
          description: User who can view the connection details
          example: All
          type: string
          nullable: true
          enum:
            - retailer
            - brand
            - all
            - none
        editable_by:
          description: User who can edit connection
          example: Staff
          type: string
          nullable: true
          enum:
            - retailer
            - brand
            - staff
    Attachment:
      type: object
      properties:
        id:
          description: Attachment or document ID
          example: 268
          type: integer
          readOnly: true
        content_type:
          description: Content type
          example: 1
          type: integer
        object_id:
          description: Attachement object ID
          example: 666
          type: integer
        file:
          description: File name
          example: Sample file
          type: string
          format: uri
          nullable: true
          readOnly: true
        uploaded_by:
          description: User ID that uploaded the attachment
          example: 646
          type: integer
          nullable: true
        visible_by:
          description: User permission who can view the attachment
          example: connections
          type: string
          enum:
            - me
            - connections
            - everyone
        original_filename:
          description: Original file name
          example: Sample1
          maxLength: 255
          type: string
          nullable: true
        filename:
          description: File name used for sharing
          example: Sample1
          maxLength: 255
          type: string
          nullable: true
        tags:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/AttachmentTag'
        url:
          description: URL of attachment
          example: >-
            https://assets.sample.com/attachments/path_to_attachment/attachment.pdf
          minLength: 1
          type: string
          format: uri
    Contact:
      required:
        - email
        - name
      type: object
      properties:
        id:
          description: Contact ID
          example: 1010
          type: integer
          readOnly: true
        name:
          description: Contact name
          example: sample contact
          maxLength: 128
          minLength: 1
          type: string
        email:
          description: Contact email
          example: demo@xyz.com
          maxLength: 128
          minLength: 1
          type: string
          format: email
        phone:
          description: Contact number
          example: '9765314368'
          maxLength: 16
          type: string
          nullable: true
        description:
          description: A note related to the contact
          example: Call
          maxLength: 128
          type: string
          nullable: true
        created_at:
          description: Time of contact creation (UTC format)
          example: '2021-09-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
    Memo:
      type: object
      properties:
        id:
          description: Memo ID
          example: 1234
          type: integer
          readOnly: true
        text:
          description: Memo text
          example: Immediate requirement
          type: string
        visibility:
          description: Memo visibility
          example: any
          type: string
          enum:
            - any
            - retailer
            - brand
        acknowledged_at:
          description: Time memo acknowledgement (UTC format)
          example: '2022-01-10T15:24:56Z'
          type: string
          readOnly: true
        notify_people:
          description: 'true: notify stakeholders <br /> false: do not notify'
          example: true
          type: boolean
        created_by:
          $ref: '#/components/schemas/UserShort'
        created_by_context:
          description: Represents whether memo is created by retailer or brand?
          example: retailer
          type: string
          nullable: true
          enum:
            - retailer
            - brand
        created_at:
          description: Time of memo creation (UTC format)
          example: '2021-09-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
        updated_at:
          description: Time of memo update (UTC format)
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
    ConnectionReferral:
      type: object
      properties:
        id:
          description: ID of connection referral
          example: 125
          type: integer
          readOnly: true
        referrer:
          $ref: '#/components/schemas/GenericRetailerOrBrandSerialilzer'
        referee:
          $ref: '#/components/schemas/GenericRetailerOrBrandSerialilzer'
        is_brand_first_connection:
          description: >-
            true: brand is first connection <br /> false: brand is not the first
            connection
          example: false"
          type: boolean
        is_retailer_first_connection:
          description: >-
            true: retailer is first connection <br /> false: brand is not the
            first connection
          example: true
          type: boolean
    ShippingMethod:
      required:
        - code
        - name
      type: object
      properties:
        id:
          description: ID of shipping method
          example: 5
          type: integer
          readOnly: true
        name:
          description: Name of shipping method
          example: White Glove Bronze
          maxLength: 64
          minLength: 1
          type: string
        code:
          description: Code of shipping method
          example: cory_white_glove
          maxLength: 64
          minLength: 1
          type: string
        type:
          description: Type of shipping method
          example: ltl (less than truck load)
          type: string
          enum:
            - small_parcel
            - ltl
        carrier:
          $ref: '#/components/schemas/Carrier'
        generic_shipping_method:
          $ref: '#/components/schemas/GenericShippingMethod'
    AttachmentTag:
      required:
        - tag
      type: object
      properties:
        id:
          description: Attachment tag ID
          example: 432
          type: integer
          readOnly: true
        tag:
          description: attachment tag
          example: demotag
          maxLength: 128
          minLength: 1
          type: string
    UserShort:
      type: object
      properties:
        id:
          description: User ID who accepted or rejected the invoice
          example: 542
          type: integer
          readOnly: true
        first_name:
          description: First name of user
          example: Sample
          maxLength: 64
          type: string
          nullable: true
        last_name:
          description: Last name of user
          example: Demo
          maxLength: 64
          type: string
          nullable: true
        title:
          description: User title
          example: Demo
          maxLength: 64
          type: string
          nullable: true
        status:
          description: User status
          example: Active
          type: string
          enum:
            - active
            - invited
            - locked
        type:
          description: User type
          example: standard
          type: string
          enum:
            - standard
            - api
        photo_url:
          description: URL of the user photo
          example: >-
            https://assets.demo.com/attachments/path_to_attachment/attachment.pdf
          minLength: 1
          type: string
          format: uri
          readOnly: true
        profile_photo:
          description: URL of the user's profile photo
          example: >-
            https://assets.demo.com/attachments/path_to_attachment/attachment.pdf
          minLength: 1
          type: string
          format: uri
          readOnly: true
        is_me:
          description: 'true: user is me: <br /> false: user is not me'
          example: true
          type: boolean
          readOnly: true
    GenericRetailerOrBrandSerialilzer:
      required:
        - code
        - name
      type: object
      properties:
        id:
          description: Retailer or Vendor (Brand) ID
          example: 675
          type: integer
          readOnly: true
        code:
          description: Retailer or Vendor (Brand) code
          example: retailer_abc
          maxLength: 32
          minLength: 1
          pattern: ^[-a-zA-Z0-9_]+$
          type: string
          format: slug
        name:
          description: Retailer or Vendor (Brand) name
          example: Retailer ABC
          maxLength: 64
          minLength: 1
          type: string
    Carrier:
      type: object
      properties:
        id:
          description: Carrier ID
          example: 229
          type: integer
          readOnly: true
        name:
          description: Carrier name
          example: Cory Companies
          maxLength: 64
          minLength: 1
          type: string
        code:
          description: Carrier code
          example: CJCD
          maxLength: 64
          minLength: 1
          type: string
    GenericShippingMethod:
      required:
        - description
        - name
      type: object
      properties:
        id:
          description: ID of shipping method
          example: 5
          type: integer
          readOnly: true
        name:
          description: Name of shipping method
          example: LTL
          maxLength: 32
          minLength: 1
          type: string
        description:
          description: Description of shipping method
          example: Less than truckload (LTL)
          maxLength: 128
          minLength: 1
          type: string
        type:
          description: Type of shipping method
          example: ltl
          type: string
          enum:
            - small_parcel
            - ltl
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````